org.apache.avro.specific

## Interface SpecificRecord

- All Superinterfaces:
    GenericContainer, IndexedRecord
  All Known Implementing Classes:
    HandshakeRequest, HandshakeResponse, SpecificExceptionBase, SpecificRecordBase

      public interface SpecificRecord
      extends IndexedRecord

  Implemented by generated record classes. Permits efficient access to fields.

- - ### Method Summary

    - ### Methods inherited from interface org.apache.avro.generic.IndexedRecord

      `get, put`

    - ### Methods inherited from interface org.apache.avro.generic.GenericContainer

      `getSchema`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.